org.gradle.api.file

## Interface ReproducibleFileVisitor

- All Superinterfaces:
    FileVisitor

      @Incubating
      public interface ReproducibleFileVisitor
      extends FileVisitor

  Visitor which can request a reproducible file order.
  Since:
    3.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isReproducibleFileOrder()` Whether the `FileVisitor` should receive the files in a reproducible order independent of the underlying file system.

    - ### Methods inherited from interface org.gradle.api.file.FileVisitor

      `visitDir, visitFile`

- - ### Method Detail

    - #### isReproducibleFileOrder

          boolean isReproducibleFileOrder()

      Whether the `FileVisitor` should receive the files in a reproducible order independent of the underlying file system.
      Returns:
        `true` if files should be walked in a reproducible order.